Bug 1375160 - [abrt] kwin: QGuiApplication::platformNativeInterface(): kwin_x11 killed by SIGSEGV
Summary: [abrt] kwin: QGuiApplication::platformNativeInterface(): kwin_x11 killed by S...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3ddcfb101f2ab08e1fe10e45117...
Keywords:
: 1401174 1456310 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-12 10:39 UTC by pavel raur
Modified: 2017-12-12 10:14 UTC (History)
16 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:14:08 UTC


Attachments (Terms of Use)
File: backtrace (21.89 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: cgroup (244 bytes, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: core_backtrace (5.89 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: dso_list (15.66 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: environ (1.56 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: maps (70.18 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: mountinfo (3.18 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: open_fds (178 bytes, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: var_log_messages (1.66 KB, text/plain)
2016-09-12 10:40 UTC, pavel raur
no flags Details
File: backtrace (39.08 KB, text/plain)
2016-11-05 11:47 UTC, Giulio 'juliuxpigface'
no flags Details

Description pavel raur 2016-09-12 10:39:53 UTC
Version-Release number of selected component:
kwin-5.7.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        kwin_x11
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     6986
kernel:         4.8.0-0.rc5.git1.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QGuiApplication::platformNativeInterface at kernel/qguiapplication.cpp:1594
 #1 QX11Info::display at /usr/src/debug/qtx11extras-opensource-src-5.7.0/src/x11extras/qx11info_x11.cpp:355
 #2 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.26.0/src/kcrash.cpp:452
 #4 QCoreApplicationPrivate::sendThroughApplicationEventFilters at kernel/qcoreapplication.cpp:1081
 #5 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3774
 #6 QApplication::notify at kernel/qapplication.cpp:3556
 #7 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:988
 #8 QCoreApplication::sendEvent at kernel/qcoreapplication.h:231
 #9 QObjectPrivate::setParent_helper at kernel/qobject.cpp:1996
 #10 QObject::~QObject at kernel/qobject.cpp:1048

Potential duplicate: bug 1303409

Comment 1 pavel raur 2016-09-12 10:40:01 UTC
Created attachment 1200160 [details]
File: backtrace

Comment 2 pavel raur 2016-09-12 10:40:03 UTC
Created attachment 1200161 [details]
File: cgroup

Comment 3 pavel raur 2016-09-12 10:40:04 UTC
Created attachment 1200162 [details]
File: core_backtrace

Comment 4 pavel raur 2016-09-12 10:40:06 UTC
Created attachment 1200163 [details]
File: dso_list

Comment 5 pavel raur 2016-09-12 10:40:07 UTC
Created attachment 1200164 [details]
File: environ

Comment 6 pavel raur 2016-09-12 10:40:09 UTC
Created attachment 1200165 [details]
File: exploitable

Comment 7 pavel raur 2016-09-12 10:40:10 UTC
Created attachment 1200166 [details]
File: limits

Comment 8 pavel raur 2016-09-12 10:40:16 UTC
Created attachment 1200167 [details]
File: maps

Comment 9 pavel raur 2016-09-12 10:40:18 UTC
Created attachment 1200168 [details]
File: mountinfo

Comment 10 pavel raur 2016-09-12 10:40:19 UTC
Created attachment 1200169 [details]
File: namespaces

Comment 11 pavel raur 2016-09-12 10:40:20 UTC
Created attachment 1200170 [details]
File: open_fds

Comment 12 pavel raur 2016-09-12 10:40:22 UTC
Created attachment 1200171 [details]
File: proc_pid_status

Comment 13 pavel raur 2016-09-12 10:40:23 UTC
Created attachment 1200172 [details]
File: var_log_messages

Comment 14 Giulio 'juliuxpigface' 2016-11-05 11:47:22 UTC
Similar problem has been detected:

I found this on the first login (qemu-kvm guest running Fedora 25 KDE).

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kwin_x11
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     1117
kernel:         4.8.4-301.fc25.x86_64
package:        kwin-5.8.1-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 15 Giulio 'juliuxpigface' 2016-11-05 11:47:26 UTC
Created attachment 1217546 [details]
File: backtrace

Comment 16 Carsten Weiß 2016-12-03 10:02:20 UTC
*** Bug 1401174 has been marked as a duplicate of this bug. ***

Comment 17 wintonian 2017-02-12 05:30:14 UTC
Similar problem has been detected:

I switched to using opengl 3.1

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     1490
kernel:         4.9.8-201.fc25.x86_64
package:        kwin-5.8.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Raif S. Naffah 2017-05-29 00:25:59 UTC
*** Bug 1456310 has been marked as a duplicate of this bug. ***

Comment 19 igiwatson 2017-07-13 13:36:59 UTC
Similar problem has been detected:

was just logging into kde. Bug occurred same time as 1347859.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        kwin
crash_function: QGuiApplication::platformNativeInterface
executable:     /usr/bin/kwin_x11
global_pid:     2476
kernel:         4.11.8-200.fc25.x86_64
package:        kwin-5.9.5-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1004

Comment 20 Fedora End Of Life 2017-11-16 14:54:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-12-12 10:14:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.